compile problem

Help
2001-12-05
2001-12-06
  • Thorsten Roggendorf

    Hi,

    I'm trying to compile 0.8.0 on an uptodate debian woody. I get the following error message:

    libtool: link: cannot find the library `/usr/lib/libgmodule.la'

    Indeed the requested file is not there, libgmodule.a and *.so are there though. I suppose *.la stands for libtool archive. Is it supposed to be generated on the fly (I also tryed to build as root with the same result).
    I encountered the very same error message before, when I tried building gtkhtml (for evolution), so I guess it's rather my fault than yours. Anyway, do you know, what's going wrong there and how I could fix it?

    Regards

      Thorsten

    PS:
    I tried scigraphica 0.7.1 - great program, I'll stick to it!

     
    • Thorsten Roggendorf

      Hi,

      I figured it out ...
      The problem came from debian libglib package which did not contain the necessary libtool archives (*.la) for libglib and libgmodule. For woody a new version of the debian package that fixes that problem is available since today.

      Regards

        Thorsten

       

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks